Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.jsf
Class ParamMethodExpression

    java.lang.Object
      javax.el.Expression
          javax.el.MethodExpression
              org.jboss.seam.jsf.ParamMethodExpression

All Implemented Interfaces:
  Serializable

    public class ParamMethodExpression

extends javax.el.MethodExpression

TODO: make this into a StateHolder?

Author:
  Stan Silvert
See Also:
  Serialized Form

Constructor Summary
`ParamMethodExpression(MethodExpressionParser parser, javax.el.ELContext elContext)`

Method Summary
`boolean` | `equals(Object object)`
`String` | `getExpressionString()`
`javax.el.MethodInfo` | `getMethodInfo(javax.el.ELContext elContext)`
`int` | `hashCode()`
`Object` | `invoke(javax.el.ELContext elContext, Object[] params)`
`boolean` | `isLiteralText()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParamMethodExpression

    public ParamMethodExpression(MethodExpressionParser parser,
                                 javax.el.ELContext elContext)

Method Detail

### getMethodInfo

    public javax.el.MethodInfo getMethodInfo(javax.el.ELContext elContext)
                                      throws NullPointerException,
                                             javax.el.PropertyNotFoundException,
                                             javax.el.MethodNotFoundException,
                                             javax.el.ELException

  Specified by:
    `getMethodInfo` in class `javax.el.MethodExpression`
  Throws:
    `NullPointerException`
    `javax.el.PropertyNotFoundException`
    `javax.el.MethodNotFoundException`
    `javax.el.ELException`

### invoke

    public Object invoke(javax.el.ELContext elContext,
                         Object[] params)
                  throws NullPointerException,
                         javax.el.PropertyNotFoundException,
                         javax.el.MethodNotFoundException,
                         javax.el.ELException

  Specified by:
    `invoke` in class `javax.el.MethodExpression`
  Throws:
    `NullPointerException`
    `javax.el.PropertyNotFoundException`
    `javax.el.MethodNotFoundException`
    `javax.el.ELException`

### isLiteralText

    public boolean isLiteralText()

  Specified by:
    `isLiteralText` in class `javax.el.Expression`

### getExpressionString

    public String getExpressionString()

  Specified by:
    `getExpressionString` in class `javax.el.Expression`

### equals

    public boolean equals(Object object)

  Specified by:
    `equals` in class `javax.el.Expression`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `javax.el.Expression`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD